<?php

final class SemiStructuredObjectTypeEditConduitAPIMethod
  extends PhabricatorEditEngineAPIMethod {

  public function getAPIMethodName() {
    return 'semistructured.type.edit';
  }

  public function newEditEngine() {
    return new SemiStructuredObjectTypeEditEngine();
  }

  public function getMethodSummary() {
    return pht(
      'Apply transactions to create or edit Object Type.');
  }

}
